## kwindowsystem 5.103.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
project(KWindowSystem VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.103.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakeFindFrameworks)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddQch)
include(ECMPoQmTools)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

# TODO KF6: remove
option(KWINDOWSYSTEM_NO_WIDGETS "Disable deprecated API including QWidget usage, so that KWindowSystem does not link to QtWidgets. Warning: this is binary and source incompatible.")
if (KWINDOWSYSTEM_NO_WIDGETS)
    # ensure EXCLUDE_DEPRECATED_BEFORE_AND_AT is at least at the version where all QWidgets API is deprecated
    if (NOT EXCLUDE_DEPRECATED_BEFORE_AND_AT STREQUAL "CURRENT" AND
        EXCLUDE_DEPRECATED_BEFORE_AND_AT VERSION_LESS "5.62.0")
        set(EXCLUDE_DEPRECATED_BEFORE_AND_AT "5.62.0")
    endif()
endif()

ecm_setup_version(PROJECT VARIABLE_PREFIX KWINDOWSYSTEM
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kwindowsystem_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5WindowSystemConfigVersion.cmake"
                        SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION}Gui ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
if(NOT KWINDOWSYSTEM_NO_WIDGETS)
    find_package(Qt${QT_MAJOR_VERSION}Widgets ${REQUIRED_QT_VERSION} CONFIG REQUIRED)
endif()

if (APPLE)
    cmake_find_frameworks(Carbon)
    cmake_find_frameworks(CoreFoundation)
endif()

if(WIN32 AND QT_MAJOR_VERSION EQUAL "5")
   find_package(Qt5WinExtras REQUIRED)
endif()

if (NOT APPLE)
    find_package(X11)
endif()

set(KWINDOWSYSTEM_HAVE_X11 ${X11_FOUND})

if(X11_FOUND)
    find_package(XCB COMPONENTS REQUIRED XCB KEYSYMS RES)
    set(KWINDOWSYSTEM_HAVE_XFIXES ${X11_Xfixes_FOUND})

    if (QT_MAJOR_VERSION STREQUAL "5")
        find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
    elseif (QT_MAJOR_VERSION STREQUAL "6")
        find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui) # qtx11extras_p.h
    endif()
endif()

# Subdirectories
ecm_install_po_files_as_qm(poqm)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5WindowSystem")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5WindowSystem_QCH
        FILE KF5WindowSystemQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5WindowSystemQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5WindowSystemConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5WindowSystemConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5WindowSystemConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5WindowSystemConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5WindowSystemTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5WindowSystemTargets.cmake NAMESPACE KF5:: )


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kwindowsystem_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KWindowSystem COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DAUTOTEST_BUILD_DIR="${CMAKE_CURRENT_BINARY_DIR}")

include(ECMMarkAsTest)
include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test Widgets)

add_subdirectory(helper)

if (NOT APPLE)
    find_package(X11)
    find_package(XCB COMPONENTS XCB ICCCM KEYSYMS)
endif()

if (TARGET Qt5::X11Extras)
    set(_qt_x11_libs Qt5::X11Extras)
elseif (TARGET Qt6::Gui)
    set(_qt_x11_libs Qt6::GuiPrivate) # qtx11extras_p.h
endif()

macro(KWINDOWSYSTEM_UNIT_TESTS)
   foreach(_testname ${ARGN})
      set(libs KF5::WindowSystem Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Widgets XCB::ICCCM XCB::KEYSYMS ${_qt_x11_libs})
      if(X11_FOUND)
         list(APPEND libs ${XCB_XCB_LIBRARY})
      endif()
      ecm_add_test(${_testname}.cpp LINK_LIBRARIES ${libs} NAME_PREFIX "kwindowsystem-" GUI)
   endforeach(_testname)
endmacro(KWINDOWSYSTEM_UNIT_TESTS)
macro(KWINDOWSYSTEM_EXECUTABLE_TESTS)
   foreach(_testname ${ARGN})
      add_executable(${_testname} ${_testname}.cpp)
      target_link_libraries(${_testname} KF5::WindowSystem Qt${QT_MAJOR_VERSION}::Test XCB::XCB ${_qt_x11_libs})
      ecm_mark_as_test(${_testname})
   endforeach()
endmacro()

if(X11_FOUND)
    include_directories(${CMAKE_SOURCE_DIR}/src/platforms/xcb)
    kwindowsystem_unit_tests(
        kmanagerselectiontest
        kstartupinfo_unittest
        kxmessages_unittest
        kkeyserver_x11_unittest
    )

    kwindowsystem_unit_tests(
        kwindoweffectstest
        kwindowinfox11test
        kwindowsystemx11test
        kwindowsystem_threadtest
        netrootinfotestwm
        netwininfotestclient
        netwininfotestwm
        compositingenabled_test
    )
    
    kwindowsystem_executable_tests(
        fixx11h_test
        fixx11h_test2
        dontcrashmapviewport
    )
endif()

ecm_add_test(kwindowsystem_platform_wayland_test.cpp LINK_LIBRARIES KF5::WindowSystem Qt${QT_MAJOR_VERSION}::Test TEST_NAME kwindowsystemplatformwaylandtest NAME_PREFIX "kwindowsystem-" GUI)

=== src/CMakeLists.txt ===
configure_file(config-kwindowsystem.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kwindowsystem.h )

add_library(KF5WindowSystem)
add_library(KF5::WindowSystem ALIAS KF5WindowSystem)

ecm_create_qm_loader(KF5WindowSystem kwindowsystem5_qt)

target_sources(KF5WindowSystem PRIVATE
    kkeyserver.cpp
    kstartupinfo.cpp
    kusertimestamp.cpp
    kwindoweffects.cpp
    kwindoweffects_dummy.cpp
    kwindowinfo.cpp
    kwindowshadow.cpp
    kwindowsystem.cpp
    pluginwrapper.cpp
    kwindowsystemplugininterface.cpp
    )
ecm_qt_declare_logging_category(KF5WindowSystem
    HEADER kwindowsystem_debug.h
    IDENTIFIER LOG_KWINDOWSYSTEM
    CATEGORY_NAME kf.windowsystem
    OLD_CATEGORY_NAMES org.kde.kwindowsystem
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KWindowSystem"
    EXPORT KWINDOWSYSTEM
)
ecm_qt_declare_logging_category(KF5WindowSystem
    HEADER kwindowsystem_xcb_debug.h
    IDENTIFIER LOG_KKEYSERVER_X11
    CATEGORY_NAME kf.windowsystem.keyserver.x11
    OLD_CATEGORY_NAMES org.kde.kwindowsystem.keyserver.x11
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KKeyServer (KWindowSystem)"
    EXPORT KWINDOWSYSTEM
)

if (KWINDOWSYSTEM_HAVE_X11)
   if(NOT X11_Xfixes_LIB)
      message(FATAL_ERROR "The XFixes library could not be found. Please install the development package for it.")
   endif()
   target_include_directories(KF5WindowSystem
        PRIVATE
            ${CMAKE_CURRENT_SOURCE_DIR}/platforms/xcb
   )

    if (TARGET Qt5::X11Extras)
        set(_qt_x11_libs Qt5::X11Extras)
    elseif (TARGET Qt6::Gui)
        set(_qt_x11_libs Qt6::GuiPrivate) # qtx11extras_p.h
    endif()


   target_link_libraries(KF5WindowSystem
        PUBLIC
            # public because they are used in kkeyserver_x11.h
            X11::X11
        PRIVATE
            XCB::XCB
            X11::Xfixes
            XCB::KEYSYMS
            ${_qt_x11_libs}
   )

   target_sources(KF5WindowSystem PRIVATE
        platforms/xcb/kkeyserver.cpp
        platforms/xcb/kselectionowner.cpp
        platforms/xcb/kselectionwatcher.cpp
        platforms/xcb/kxerrorhandler.cpp
        platforms/xcb/kxmessages.cpp
        platforms/xcb/kxutils.cpp
        platforms/xcb/netwm.cpp
        kx11extras.cpp
   )

   # we install kkeyserver_x11.h which needs the X11 headers available
   # if we don't add the include path here code that includes kkeyserver.h will fail
   # to compile unless X11 is installed in /usr/include
   target_include_directories(KF5WindowSystem PUBLIC ${XCB_XCB_INCLUDE_DIR})
endif ()

if (APPLE)
   target_include_directories(KF5WindowSystem
        PRIVATE
            ${CMAKE_CURRENT_SOURCE_DIR}/platforms/osx)
   target_sources(KF5WindowSystem PRIVATE
        platforms/osx/kkeyserver.cpp
#                                                 kwindowsystem_mac.cpp
# FIXME: adjust kwindowinfo_mac to inherit from KWindowInfoPrivate
#                                                 kwindowinfo_mac.cpp
   )
   target_link_libraries(KF5WindowSystem
        PRIVATE
            "-framework CoreFoundation -framework Carbon"
   )
endif ()

if (WIN32)
   target_include_directories(KF5WindowSystem
        PRIVATE
            ${CMAKE_CURRENT_SOURCE_DIR}/platforms/windows
   )
   target_sources(KF5WindowSystem PRIVATE
        platforms/windows/kkeyserver.cpp
#                                                 kwindowsystem_win.cpp
# FIXME: adjust kwindowinfo_win to inherit from KWindowInfoPrivate
#                                                 kwindowinfo_win.cpp
   )
   target_link_libraries(KF5WindowSystem PRIVATE ws2_32) # gethostname()
   if (QT_MAJOR_VERSION EQUAL "5")
      target_link_libraries(KF5WindowSystem PRIVATE Qt5::WinExtras) # QtWin::fromHICON(), QtWin::toHICON()
   endif()
endif ()

ecm_generate_export_header(KF5WindowSystem
    BASE_NAME KWindowSystem
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.0 5.18 5.38 5.62 5.67 5.69 5.80 5.81 5.82 5.101 5.102
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5WindowSystem INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KWindowSystem>")

target_link_libraries(KF5WindowSystem
    PUBLIC Qt${QT_MAJOR_VERSION}::Gui
)
if(NOT KWINDOWSYSTEM_NO_WIDGETS)
    target_link_libraries(KF5WindowSystem PUBLIC Qt${QT_MAJOR_VERSION}::Widgets)
endif()

set_target_properties(KF5WindowSystem PROPERTIES VERSION   ${KWINDOWSYSTEM_VERSION}
                                                 SOVERSION ${KWINDOWSYSTEM_SOVERSION}
                                                 EXPORT_NAME WindowSystem
)

ecm_generate_headers(KWindowSystem_HEADERS
  HEADER_NAMES
  KKeyServer
  KStartupInfo
  KUserTimestamp
  KWindowEffects
  KWindowInfo
  KWindowShadow,KWindowShadowTile
  KWindowSystem

  REQUIRED_HEADERS KWindowSystem_HEADERS
)

if (KWINDOWSYSTEM_HAVE_X11)
    ecm_generate_headers(KWindowSystem_HEADERS
    HEADER_NAMES
    KX11Extras

    REQUIRED_HEADERS KWindowSystem_HEADERS
    )
endif()

install(TARGETS KF5WindowSystem EXPORT KF5WindowSystemTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  # FIXME: It seems odd to install this.
  ${CMAKE_CURRENT_BINARY_DIR}/config-kwindowsystem.h
  ${CMAKE_CURRENT_BINARY_DIR}/kwindowsystem_export.h
  ${KWindowSystem_HEADERS}
  netwm_def.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KWindowSystem COMPONENT Devel
)

install(
    FILES
        kwindoweffects_p.h
        kwindowinfo_p.h
        kwindowshadow_p.h
        kwindowsystem_p.h
        kwindowsystemplugininterface_p.h
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR_KF}/KWindowSystem/private
    COMPONENT
        Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5WindowSystem_QCH
        NAME KWindowSystem
        BASE_NAME KF5WindowSystem
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCE_DIRS
            # using dir for now, to cover any platform dependent code
            # TODO: should only use public headers, to cover only public API
            ${CMAKE_CURRENT_SOURCE_DIR}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Gui_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KWINDOWSYSTEM_EXPORT
            KWINDOWSYSTEM_DEPRECATED
            KWINDOWSYSTEM_DEPRECATED_EXPORT
            "KWINDOWSYSTEM_DEPRECATED_VERSION(x, y, t)"
            "KWINDOWSYSTEM_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
            "KWINDOWSYSTEM_ENUMERATOR_DEPRECATED_VERSION(x, y, t)"
            "KWINDOWSYSTEM_ENUMERATOR_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

add_subdirectory(platforms)

ecm_qt_install_logging_categories(
    EXPORT KWINDOWSYSTEM
    FILE kwindowsystem.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KWindowSystem LIB_NAME KF5WindowSystem DEPS "gui" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KWindowSystem)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kwindowsystem (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:24 +0100

kwindowsystem (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:02 +0100

kwindowsystem (5.101.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * CI: enable again the blhc job.
  * Remove breaks for existing packages with versions older than oldstable.
  * Update the symbols files from the logs of buildds.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Thu, 15 Dec 2022 07:09:54 +0100

kwindowsystem (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.101.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:23 +0100

kwindowsystem (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:57 +0100

kwindowsystem (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:37 +0200

kwindowsystem (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:29 +0200

kwindowsystem (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Update symbols from build for 5.96.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:58 +0200

kwindowsystem (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:03 +0200

kwindowsystem (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * Update the list of installed files.
  * Update symbols from build for 5.92.0.
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:44 +0200

kwindowsystem (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:42 +0100

=== debian/control ===
Source: kwindowsystem
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libqt5sql5-sqlite:native,
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb-icccm4-dev <!nocheck>,
               libxcb-keysyms1-dev,
               libxcb-res0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxfixes-dev,
               libxrender-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kwindowsystem
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwindowsystem
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwindowsystem.git
Rules-Requires-Root: no

Package: libkf5windowsystem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the translations.

Package: libkf5windowsystem-dev
Section: libdevel
Architecture: any
Depends: libkf5windowsystem5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5windowsystem-doc (= ${source:Version}),
Description: development files for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 lowlevel classes.
 .
 Contains development files for kwindowsystem.

Package: libkf5windowsystem-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5windowsystem5
Architecture: any
Multi-Arch: same
Depends: libkf5windowsystem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kwayland-integration, qtwayland5,
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable auto tests at build time
	:

## kwindowsystem 5.104.0

=== debian/changelog ===
kwindowsystem (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:18:45 +0000

kwindowsystem (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:45:33 +0000

kwindowsystem (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:59:01 +0000

kwindowsystem (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:22:45 +0000

kwindowsystem (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:17:01 +0000

kwindowsystem (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 11:01:17 +0000

=== debian/control ===
Source: kwindowsystem
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               libqt5sql5-sqlite:native,
               libqt5x11extras5-dev (>= 5.15.2~),
               libx11-dev,
               libxcb-icccm4-dev <!nocheck>,
               libxcb-keysyms1-dev,
               libxcb-res0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxfixes-dev,
               libxrender-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kwindowsystem
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwindowsystem
Rules-Requires-Root: no

Package: libkf5windowsystem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the translations.

Package: libkf5windowsystem-dev
Section: libdevel
Architecture: any
Depends: libkf5windowsystem5 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5windowsystem-doc (= ${source:Version})
Description: development files for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 lowlevel classes.
 .
 Contains development files for kwindowsystem.
Breaks: libkf5crash-dev (<< 5.54),
        libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5notifications-dev (<< 5.54),
        libkf5plasma-dev (<< 5.54),
        libkf5runner-dev (<< 5.54),
        libkf5textwidgets-dev (<< 5.54),
        libkf5wallet-dev (<< 5.54),
        libkf5xmlgui-dev (<< 5.54),

Package: libkf5windowsystem-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5windowsystem5
Architecture: any
Multi-Arch: same
Depends: libkf5windowsystem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kwayland-integration, qtwayland5
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
Breaks: kinit (<< 5.54),
        kio (<< 5.54),
        libkf5crash5 (<< 5.54),
        libkf5globalaccel-bin (<< 5.54),
        libkf5globalaccelprivate5 (<< 5.42),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.54),
        libkf5khtml5 (<< 5.54),
        libkf5kiowidgets5 (<< 5.54),
        libkf5notifications5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5plasmaquick5 (<< 5.54),
        libkf5textwidgets5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkf5wallet5 (<< 5.54),
        libkf5xmlgui5 (<< 5.54),
        plasma-framework (<< 5.54),
        qml-module-org-kde-kquickcontrols (<< 5.54),
        qml-module-org-kde-kwindowsystem (<< 5.54),

## kwindowsystem 5.109.0

=== debian/changelog ===
kwindowsystem (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:51:29 +0100

kwindowsystem (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:22:59 +0100

kwindowsystem (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:07:39 +0100

kwindowsystem (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:49:00 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.109.0~),
                libqt5sql5-sqlite:native,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,

## kwindowsystem 5.110.0

=== debian/changelog ===
kwindowsystem (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:10:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libqt5sql5-sqlite:native,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,

## kwindowsystem 5.113.0

=== debian/changelog ===
kwindowsystem (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:45:45 +0000

kwindowsystem (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:50:43 +0000

kwindowsystem (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 00:00:24 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                libqt5sql5-sqlite:native,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,

## kwindowsystem 5.115.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.115.0") # handled by release scripts
 project(KWindowSystem VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.103.0  NO_MODULE)
+find_package(ECM 5.115.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kwindowsystem (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:38:05 +0000

kwindowsystem (5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:31:18 +0000

kwindowsystem (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 09:36:05 -0700

kwindowsystem (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 08:05:01 -0700

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
                libqt5sql5-sqlite:native,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@
+	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF

## kwindowsystem 5.116.0

=== tests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_TO_ASCII)

include(ECMMarkAsTest)

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test Widgets)

macro(kwindowsystem_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::Widgets KF5::WindowSystem)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

kwindowsystem_executable_tests(
  blurbehindtest
  backgroundcontrasttest
)

if(KWINDOWSYSTEM_HAVE_X11)
    kwindowsystem_executable_tests(
      icontest
      createpixmapfromhandletest
      setmainwindowtest
    )
    if (TARGET Qt5::X11Extras)
        target_link_libraries(icontest Qt5::X11Extras)
    elseif (TARGET Qt6::Gui)
        target_link_libraries(icontest Qt6::GuiPrivate)
    endif()
endif()

=== debian/changelog ===
kwindowsystem (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep remaining Kubuntu delta.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 17:48:54 +0100

kwindowsystem (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)
  * Replace obsolete pkg-config build depend with pkgconf

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:45:36 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libqt5sql5-sqlite:native,
                libqt5x11extras5-dev (>= 5.15.2~),
                libx11-dev,
@@ -18,8 +18,8 @@
                libxcb1-dev,
                libxfixes-dev,
                libxrender-dev,
-               pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
+               pkgconf,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),

## kwindowsystem 5.116.0+p24.04+vstable+git20251015.0801

=== debian/changelog ===
kwindowsystem (5.116.0+p24.04+vstable+git20251015.0801-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 08:02:06 +0000

kwindowsystem (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:44:50 +1000

kwindowsystem (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:43:40 +0000

kwindowsystem (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:30:50 +0000

kwindowsystem (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:09:26 +0000

kwindowsystem (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:52:23 +0000

kwindowsystem (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 13:51:45 +0000

kwindowsystem (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:32:58 +0000

kwindowsystem (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 10 Sep 2023 20:41:22 +0000

kwindowsystem (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:17:07 +0000

kwindowsystem (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2023 11:48:44 +0000

kwindowsystem (5.107.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:07:30 +0000

kwindowsystem (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:01:36 +0000

kwindowsystem (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:34:04 +0000

kwindowsystem (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:42:16 +0000

kwindowsystem (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:03:48 +0000

kwindowsystem (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:05:18 +0000

kwindowsystem (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:15:08 +0000

kwindowsystem (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:29:41 +0000

kwindowsystem (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:36:16 +0000

kwindowsystem (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:12:23 +0000

kwindowsystem (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:39:52 +0000

kwindowsystem (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:04:36 +0000

kwindowsystem (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 17:48:13 +0000

kwindowsystem (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jan 2022 17:07:02 +0000

kwindowsystem (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:27:54 +0000

kwindowsystem (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:54:38 +0000

kwindowsystem (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 04 Oct 2021 15:03:07 +0000

kwindowsystem (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:11:30 +0000

kwindowsystem (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:17:58 +0000

kwindowsystem (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:29:25 +0000

kwindowsystem (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:18:31 +0000

kwindowsystem (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:12:41 +0000

kwindowsystem (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:19:23 +0000

kwindowsystem (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:59:22 +0000

kwindowsystem (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:27:26 +0000

kwindowsystem (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:08:11 +0000

kwindowsystem (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:32:51 +0000

kwindowsystem (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:43:09 +0000

kwindowsystem (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:34:36 +0000

kwindowsystem (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:27:19 +0000

kwindowsystem (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:48:42 +0000

kwindowsystem (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:57:44 +0000

kwindowsystem (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:43:21 +0000

kwindowsystem (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:20:49 +0000


## kwindowsystem 5.116.0+p24.04+vstable+git20251019.0236

=== debian/changelog ===
kwindowsystem (5.116.0+p24.04+vstable+git20251019.0236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:36:42 +0000

## kwindowsystem 5.116.0+p24.04+vstable+git20251028.2233

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 project(KWindowSystem VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kwindowsystem (5.116.0+p24.04+vstable+git20251028.2233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:33:15 +0000

=== debian/control ===
Source: kwindowsystem
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libqt5sql5-sqlite:native,
               libqt5x11extras5-dev (>= 5.8.0~),
               libx11-dev,
               libxcb-icccm4-dev,
               libxcb-keysyms1-dev,
               libxcb-res0-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxfixes-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kwindowsystem
Vcs-Git: https://invent.kde.org/neon/kde/kwindowsystem.git
Vcs-Browser: https://invent.kde.org/neon/kde/kwindowsystem
Maintainer: Neon CI <neon@kde.org>

Package: libkf5windowsystem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5windowsystem5-data
Replaces: libkf5windowsystem5-data
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the translations.

Package: libkf5windowsystem-dev
Section: libdevel
Architecture: any
Depends: libkf5windowsystem5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5windowsystem-doc (= ${source:Version})
Breaks: libkf5crash-dev (<< 5.51),
        libkf5kdelibs4support-dev (<< 5.51),
        libkf5khtml-dev (<< 5.51),
        libkf5notifications-dev (<< 5.51),
        libkf5plasma-dev (<< 5.51),
        libkf5runner-dev (<< 5.51),
        libkf5textwidgets-dev (<< 5.51),
        libkf5wallet-dev (<< 5.51),
        libkf5xmlgui-dev (<< 5.51)
Replaces: libkf5windowsystem-doc (<< 5.61.90-0)
Description: development files for kwindowsystem
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 lowlevel classes.
 .
 Contains development files for kwindowsystem.

Package: libkf5windowsystem-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5windowsystem5
Architecture: any
Multi-Arch: same
Depends: libkf5windowsystem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: qtwayland5
Description: Convenience access to certain properties and features of the window manager
 The class KWindowSystem provides information about the state of the
 window manager and allows asking the window manager to change them
 using a more high-level interface than the NETWinInfo/NETRootInfo
 low level classes.
Breaks: kinit (<< 5.51),
        kio (<< 5.51),
        libkf5crash5 (<< 5.51),
        libkf5globalaccel-bin (<< 5.51),
        libkf5globalaccelprivate5 (<< 5.42),
        libkf5kdelibs4support5 (<< 5.51),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml-bin (<< 5.51),
        libkf5khtml5 (<< 5.51),
        libkf5kiowidgets5 (<< 5.51),
        libkf5notifications5 (<< 5.51),
        libkf5plasma5 (<< 5.51),
        libkf5plasmaquick5 (<< 5.51),
        libkf5textwidgets5 (<< 5.51),
        libkf5wallet-bin (<< 5.51),
        libkf5wallet5 (<< 5.51),
        libkf5xmlgui5 (<< 5.51),
        plasma-framework (<< 5.51),
        qml-module-org-kde-kquickcontrols (<< 5.51),
        qml-module-org-kde-kwindowsystem (<< 5.51)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5windowsystem5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable auto tests at build time
	:

## kwindowsystem 5.116.0+p24.04+vstable+git20251224.0612

=== debian/changelog ===
kwindowsystem (5.116.0+p24.04+vstable+git20251224.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:12:36 +0000

## kwindowsystem 5.116.0+p24.04+vunstable+git20251015.0909

=== debian/changelog ===
kwindowsystem (5.116.0+p24.04+vunstable+git20251015.0909-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 09:09:35 +0000

## kwindowsystem 5.116.0+p24.04+vunstable+git20251020.0140

=== debian/changelog ===
kwindowsystem (5.116.0+p24.04+vunstable+git20251020.0140-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:40:26 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus (>= 1.8),
         libgl1-mesa-dri,
         openbox,
         xauth,
         xserver-xephyr,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: dh-acc, exuberant-ctags, @
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d\.]*)/kwindowsystem-(.*)\.tar\.xz

## kwindowsystem 5.116.0+p24.04+vunstable+git20251224.0641

=== debian/changelog ===
kwindowsystem (5.116.0+p24.04+vunstable+git20251224.0641-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 06:41:16 +0000
